Commits

Uelsk8s committed 96435c7

fix missing links picaxo phatch parcellite

Comments (0)

Files changed (3)

var/vabs/parcellite/src/parcellite.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="parcellite"            #Enter package Name!
-VERSION=${VERSION:-"1.0.0"}      #Enter package Version!
+VERSION=${VERSION:-"1.1.7"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
+LINK=${LINK:-"http://downloads.sourceforge.net/project/$NAME/$NAME/$NAME-$VERSION/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
-# Put any Patches into a patches folder in the src dir
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
 for i in $CWD/patches/*;do
-	patch -p1 <$i
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
 done
 #-----------------------------------------------------
-
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
 
 make || exit 1
 
-make install DESTDIR=$PKG || exit
+make install DESTDIR=$PKG || exit 1
 
 
 #######################################################################
 #######################################################################
 
 
+
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
 CWD=\$(pwd)
 cd usr/info
     rm dir.gz
 fi
 for i in *.info.gz;do
-        install-info \$i dir
+    install-info \$i dir
 done
 cd \$CWD
 EOF
 fi
 
-mkdir -p $PKG/install
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
 
 
 #if there is a slack-desc in src dir use it
 $NAME: memory footprint for those who like simplicity. 
 $NAME: 
 $NAME: 
+$NAME:
 $NAME: License: GPLv3
 $NAME: Authors: Gilberto "Xyhthyx" Miralla & Doug Springer
 $NAME: Website: http://parcellite.sourceforge.net
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

var/vabs/phatch/src/phatch.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="phatch"            #Enter package Name!
-VERSION=${VERSION:-"0.2.7"}      #Enter package Version!
+VERSION=${VERSION:-"0.2.7.1"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
+LINK=${LINK:-"http://photobatch.stani.be/download/package/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 ARCH=${ARCH:-"$(uname -m)"}
 CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-"pil >= 1.1.7, wxPython >= 2.8.11.0"} #Add deps that need to be added to the slack-required file here
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
 cd $TMP/$NAME-$VERSION
 
-# Put any Patches into a patches folder in the src dir
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
 for i in $CWD/patches/*;do
-	patch -p1 <$i
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
 done
 #-----------------------------------------------------
-
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
 #----------------------------------------------------------------------
 # If you are building a KDE-related app, then change the following
 # arguments in the script below:
-# --prefix=$(kde-config -prefix) \
-# --sysconfdir=/etc/kde \
+# --prefix=$(kde-config -prefix) \\
+# --sysconfdir=/etc/kde \\
 #
 # Making these changes will ensure that your package will build in the
 # correct path and that it will work seamlessly within the KDE environment.
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-#./configure --prefix=/usr \
-#  --libdir=/usr/lib${LIBDIRSUFFIX} \
-#  --infodir=/usr/info \
-#  --sysconfdir=/etc \
-#  --localstatedir=/var \
-#  --mandir=/usr/man \
-#  --with-included-gettext \
-#  --disable-debug \
-#  --program-prefix="" \
-#  --program-suffix="" \
-#  --build=$CONFIGURE_TRIPLET \
-#  $CONFIG_OPTIONS || exit 1
-
-#make || exit 1
-
-#make install DESTDIR=$PKG || exit
-python setup.py install --root=$PKG
+
+python setup.py build
+python setup.py install --root=$PKG || exit 1
+
+
 
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #
 #######################################################################
 
 
+
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
 CWD=\$(pwd)
 cd usr/info
     rm dir.gz
 fi
 for i in *.info.gz;do
-        install-info \$i dir
+    install-info \$i dir
 done
 cd \$CWD
 EOF
 fi
 
-mkdir -p $PKG/install
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
 
 
 #if there is a slack-desc in src dir use it
 $NAME: 
 $NAME:
 $NAME:
+$NAME:
 $NAME: License: GPL
 $NAME: Authors: Refer to AUTHORS
 $NAME: Website: http://photobatch.stani.be/
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

var/vabs/picaxo/src/picaxo.SlackBuild

 #!/usr/bin/bash
 # This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
 # and slack-required will be found in "VERSION" dir. The extraction and
 # build will be in a temp dir created in "NAME" dir, and then removed on exit.
 # Comment out second to last line to keep this dir intact.
 # Linux forum at http://forum.vectorlinux.com and from tidbits collected 
 # from all over the internet. 
 #
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
+# Generated by sbbuilder-0.4.15, written by Rodrigo Bistolfi 
 # (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
 # Please put your name below if you add some original scripting lines.
 # AUTHORS = 
 
 NAME="picaxo"            #Enter package Name!
-VERSION=${VERSION:-"27.03.2008-20.41"}      #Enter package Version!
+VERSION=${VERSION:-"27.03.2008_20.41"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+VL_PACKAGER=${VL_PACKAGER:-"Uelsk8s"}   #Enter your Name!
+LINK=${LINK:-"http://gigi.nullneuron.net/comp/$NAME/$NAME-$VERSION.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
 #----------------------------------------------------------------------------
 
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
 
 #SETUP PACKAGING ENVIRONMENT
 #--------------------------------------------
 if [[ "$ARCH" = i?86 ]]; then
   ARCH=i586
   SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
+  CONFIGURE_TRIPLET="i486-vector-linux"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fpic"
 for SRC in $(echo $LINK);do
 if [ ! -f $CWD/$(basename $SRC) ]
 then
-        wget -c $SRC
+        wget --no-check-certificate -c $SRC
 fi
 done
 #--------------------------------------------
 
 
 rm -rf $PKG
-mkdir -p $PKG
 cd $TMP
 rm -rf $NAME-$VERSION
 
 #-----------------------------------------------------
 echo "Extracting source..."
 tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
 #-----------------------------------------------------
 
 
-#cd $TMP/$NAME-$VERSION
-cd $TMP/$NAME
+cd $TMP/$NAME-$VERSION
 
-# Put any Patches into a patches folder in the src dir
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
 #-----------------------------------------------------
 for i in $CWD/patches/*;do
-	patch -p1 <$i
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
 done
 #-----------------------------------------------------
-
+ 
+ 
 
 #SET PERMISSIONS
 #-----------------------------------------
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-#./configure --prefix=/usr \
-#  --libdir=/usr/lib${LIBDIRSUFFIX} \
-#  --infodir=/usr/info \
-#  --sysconfdir=/etc \
-#  --localstatedir=/var \
-#  --mandir=/usr/man \
-#  --with-included-gettext \
-#  --disable-debug \
-#  --program-prefix="" \
-#  --program-suffix="" \
-#  --build=$CONFIGURE_TRIPLET \
-#  $CONFIG_OPTIONS || exit 1
-
 cd src
 
 make || exit 1
 #######################################################################
 
 
+
 mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
+cp -a AUTHORS COPYING ChangeLog Credits MANIFEST README TODO \
 $PKG/usr/doc/$NAME-$VERSION
 cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
 
 #----------------------------------------------------------------------
 
-if [ -d $PKG/usr/share/man ] ; then
+if [ -d $PKG/usr/share/man ];then
 mkdir -p $PKG/usr/man
 mv $PKG/usr/share/man/* $PKG/usr/man
 rm -rf $PKG/usr/share/man
 fi
 find $PKG/usr/man -type f -exec gzip -9 {} \;
 
-if [ -d $PKG/usr/share/info ] ; then
+if [ -d $PKG/usr/share/info ];then
 mkdir -p $PKG/usr/info
 mv $PKG/usr/share/info/* $PKG/usr/info
 rm -rf $PKG/usr/share/info
 fi 
-
 find $PKG/usr/info -type f -exec gzip -9 {} \;
+
 mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
+if [ -d $PKG/usr/info ];then
 cat >> $PKG/install/doinst.sh << EOF
 CWD=\$(pwd)
 cd usr/info
     rm dir.gz
 fi
 for i in *.info.gz;do
-        install-info \$i dir
+    install-info \$i dir
 done
 cd \$CWD
 EOF
 fi
 
-mkdir -p $PKG/install
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
 
 
 #if there is a slack-desc in src dir use it
 $NAME: Works with SDL libraries. Can display pictures on the web and 
 $NAME: locally. Invoke by calling picaxo with name of graphic file or URL.
 $NAME: 
-$NAME:
 $NAME: License: GPL version 3
+$NAME:
 $NAME: Authors: Daniel D'Agostino
 $NAME: Website: http://gigi.nullneuron.net/comp/picaxo
 
-
 EOF
 fi
 cat >> $RELEASEDIR/slack-desc << EOF
 DISTRO:    $(cat /etc/vector-version)
 CFLAGS:    $CFLAGS
 LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
 
 EOF
 
 cd $CWD
 echo "Cleaning up temp files..." && rm -rf $TMP
 echo "Package Complete"
+fi
 #--------------------------------------------------------------
 
 # vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##